%global sum	Standard terminal emulator for the X window system

Summary:	%{sum}
Name:		xterm
Version:	376
Release:	%mkrel 1
# URL with a list of downloads / tarballs:
# https://invisible-island.net/archives/xterm
Source0:	https://invisible-island.net/archives/xterm/%{name}-%{version}.tgz
Source1:	https://invisible-island.net/archives/xterm/%{name}-%{version}.tgz.asc

# from https://www.vim.org/scripts/script.php?script_id=1349, public domain
Source20:	colortest.pl

#
# Security Patches
# Patches P100  -> ...
#

Url:		https://invisible-island.net/xterm/
License:	MIT
Group:		Terminals
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	luit
Requires:	luit

%description
The XTerm program is the standard terminal emulator for the X Window System. It
provides DEC VT102/VT220 and Tektronix 4014 compatible terminals for programs
that can't use the window system directly. If the underlying operating system
supports terminal resizing capabilities (for example, the SIGWINCH signal in
systems derived from 4.3bsd), xterm will use the facilities to notify programs
running in the window whenever it is resized.

The xterm included in this package has support for 256 colors enabled.

%prep
%setup -q
%autopatch -p1

cp %{SOURCE20} .

%build
%configure \
   --disable-full-tgetent \
   --enable-wide-chars \
   --x-includes=%{_includedir}/freetype2 \
   --enable-luit \
   --enable-256-color \
   --with-app-defaults=%{_libdir}/X11/app-defaults \
   --with-icon-theme=hicolor \
   --with-icondir=%{_datadir}/icons

%make_build

%install
make DESTDIR=%{buildroot} install

# NOTE: encodingMode: locale means to follow the charset encoding of the
# locale. A quite complete unicode font is set as the default (instead of the
# very poor "fixed" one). a quick cat is used instead of patching the sources;
# it shoulmd be made the default imho
# locale: true means to use luit to convert locale encoding to unicode
# for display.
# luit support is needed for it to work -- pablo
cat << EOF >> %{buildroot}%{_libdir}/X11/app-defaults/XTerm

*.vt100.font: -misc-fixed-medium-r-normal--15-140-75-75-c-90-iso10646-1
*.vt100.encodingMode: locale
*.locale: true
*.PtyInitialErase: on
*.backarrowKeyIsErase: on
*.allowFontOps: false
*.allowTcapOps: false
*.disallowedWindowOps: 1,2,3,4,5,6,7,8,9,11,13,14,18,19,20,21,GetSelection,SetSelection,SetWinLines,SetXprop
EOF

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=XTerm
GenericName=Terminal
GenericName[ru]=Терминал
Comment=%{sum}
Comment[ar]=برنامج سطر الأوامر القياسي لنظام نوافذ إكس
Comment[az]=X Windows sistemi üçün standart terminal emulyator
Comment[bg]=Стандартният терминален емулатор за Х
Comment[bn]=এক্স উইন্ডো সিস্টেমের সাধারণ টার্মিনাল এমুলেটর
Comment[bs]=Standardni simulator terminala za X Window sistem
Comment[ca]=L'emulador estàndard de terminal per al sistema de finestres X
Comment[cs]=Standardní emulátor terminálu pro X Window Systém
Comment[cy]=Efelychydd terfynell safonol ar gyfer System Ffenestr X
Comment[da]=Den almindelige terminalemulator for X vinduessystemet
Comment[de]=Die Standard-Terminal-Emulation des X Window Systems
Comment[el]=Ο προκαθορισμένος εξομοιωτής τερματικού για το Σύστημα Παραθύρων Χ
Comment[es]=El emulador de terminal estándar para el X Window System
Comment[et]=Tavaline terminaliemulaator X Window süsteemi jaoks
Comment[eu]=X Window sistemaren terminal-emulatzaile estandarra
Comment[fa]=شبیه‌ساز پایانه استاندارد در سیستم پنجره X
Comment[fi]=X-ikkunointijärjestelmän oletuspääte-emulaattori
Comment[fr]=L'émulateur de terminal standard du système X Window
Comment[gl]=O emulador de terminal estandar para o Sistema X Window
Comment[he]=אמולטור המסוף הסטנדרטי של מערכת X
Comment[hi]=एक्स विण्डो प्रणाली के लिए मानक टर्मिनल ऐम्यूलेटर
Comment[hu]=Az X ablakrendszer standard terminálemulátora
Comment[id]=Emulator terminal standar untuk Sistem Window X
Comment[is]=Staðlaði skjáhermirinn fyrir X gluggakerfið
Comment[it]=L'emulatore di terminale standard per il sistema X Window
Comment[ja]=X ウィンドウシステムの標準ターミナル
Comment[ko]=X용 표준 터미널 에뮬레이터
Comment[ky]=X Window Системасы үчүн стндарттык терминал эмулятору
Comment[lt]=Standartinis terminalo emuliatorius X Window sistemai
Comment[lv]=Standarta termināļa emulators priekš X logu sistēmas
Comment[mk]=Стандардниот терминал-емулатор за системот „X Window“
Comment[mt]=L-emulatur ta' terminal standard tas-sistema X Windows
Comment[nb]=Standard terminalemulatoren for X
Comment[nl]=De standaard terminal emulator voor het X Window systeem
Comment[nn]=Standard terminalemulator for X
Comment[pl]=Standardowy emulator terminala dla systemu X Window
Comment[pt]=O emulador de terminal padrão para o Sistema de Janelas X
Comment[pt_BR]=Emulador de terminal padrão do Sistema de Janelas X
Comment[ro]=Emulator de terminal standard pentru sistemul X Window
Comment[ru]=Стандартный эмулятор терминала для системы X Window
Comment[sc]=S'emuladori de terminali standard po su X Window System
Comment[sk]=Štandardný emulátor terminálu pre X Window Systém
Comment[sl]=Standardna kozola za X okna
Comment[sq]=Një imitues standard i terminalit për Sistemin X Windows
Comment[sr]=Стандардни емулатор терминала за X Window Систем
Comment[sr@Latn]=Standardni emulator terminala za X Window Sistem
Comment[sv]=Den förvalda terminalemulatorn för X
Comment[ta]=கொடாநிலை முனையம்
Comment[tg]=Намунасози низоммеъёри поёна барои X Системаи Тирезавӣ
Comment[th]=โปรแกรมเทอร์มินัลมาตรฐานบน X Windows
Comment[tl]=And standard terminal emulator (manggagaya terminal) para sa X Window System
Comment[tr]=X Window Sistemi için bir standart Uçbirim Emülasyonu
Comment[uk]=Емулятор стандартного терміналу для системи X Window
Comment[vi]=Trình mô phỏng Terminal chuẩn cho Hệ thống Cửa sổ X
Comment[wa]=Li terminå standård pol sistinme di purneas X
Comment[zh_CN]=X 窗口系统模拟终端
Comment[zh_TW]=X Window 系統的標準終端機模擬器
Exec=%{name} -name Terminal
Icon=xterm-color
Terminal=false
Type=Application
StartupNotify=true
Categories=TerminalEmulator;System;Utility;
EOF

for xpm in *xterm{-color_32x32,-color_48x48,_32x32,_48x48}.xpm; do
	rm -f %{buildroot}%{_datadir}/pixmaps/$xpm
done

%files
%doc ctlseqs.txt colortest.pl
%{_bindir}/*
%{_mandir}/*/*
%{_libdir}/X11/app-defaults/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*xterm*.*


%changelog
* Wed Nov 23 2022 ghibo <ghibo> 376-1.mga8
+ Revision: 1910427
- Update to release 376.
- Remove Patches merged upstream.
- Fix Url of Sources.
+ ns80 <ns80>
- add patch from Debian for CVE-2022-24130 (mga#29975)
+ neoclust <neoclust>
- Add P100: Fix CVE-2021-27135 (mga#28391)

* Wed Dec 30 2020 luigiwalser <luigiwalser> 363-1.mga8
+ Revision: 1665494
- 363

* Wed Nov 18 2020 luigiwalser <luigiwalser> 362-1.mga8
+ Revision: 1647264
- 362

* Wed Sep 23 2020 shlomif <shlomif> 360-1.mga8
+ Revision: 1629603
- New version 360

* Sat Sep 05 2020 shlomif <shlomif> 359-1.mga8
+ Revision: 1622368
- New version 359

* Thu Jul 16 2020 shlomif <shlomif> 358-1.mga8
+ Revision: 1606548
- New version 358

* Wed May 06 2020 shlomif <shlomif> 356-1.mga8
+ Revision: 1580826
- New version 356

* Thu Apr 30 2020 shlomif <shlomif> 354-1.mga8
+ Revision: 1574383
- New version 354

* Wed Apr 15 2020 danf <danf> 353-3.mga8
+ Revision: 1567579
- Fix Comment= in .desktop file to stop referring to debug sources

* Thu Feb 20 2020 umeabot <umeabot> 353-2.mga8
+ Revision: 1547336
- Mageia 8 Mass Rebuild

* Fri Feb 07 2020 shlomif <shlomif> 353-1.mga8
+ Revision: 1487884
- New version 353

* Thu Jan 23 2020 shlomif <shlomif> 352-1.mga8
+ Revision: 1482475
- New version 352
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 09 2019 shlomif <shlomif> 351-1.mga8
+ Revision: 1465436
- New version 351

* Fri Aug 09 2019 shlomif <shlomif> 348-1.mga8
+ Revision: 1428429
- New version 348

* Sat Jul 06 2019 shlomif <shlomif> 347-1.mga8
+ Revision: 1419061
- New version 347

* Sun Feb 17 2019 luigiwalser <luigiwalser> 344-1.mga7
+ Revision: 1368002
- 344

* Thu Jan 17 2019 shlomif <shlomif> 343-1.mga7
+ Revision: 1357752
- New version 343

* Mon Jan 14 2019 luigiwalser <luigiwalser> 342-1.mga7
+ Revision: 1356304
- 342

* Sat Dec 29 2018 shlomif <shlomif> 341-1.mga7
+ Revision: 1346583
- New version 341

* Sat Dec 22 2018 shlomif <shlomif> 340-1.mga7
+ Revision: 1344506
- New version 340

* Sun Oct 14 2018 shlomif <shlomif> 337-1.mga7
+ Revision: 1320354
- New version 337

* Wed Sep 12 2018 shlomif <shlomif> 335-1.mga7
+ Revision: 1258687
- New version 335

* Thu May 10 2018 shlomif <shlomif> 333-1.mga7
+ Revision: 1228121
- New version 333

* Wed May 02 2018 shlomif <shlomif> 332-1.mga7
+ Revision: 1224438
- New version 332

* Mon Jan 08 2018 shlomif <shlomif> 331-1.mga7
+ Revision: 1191686
- New version 331

* Wed Jul 19 2017 tv <tv> 330-1.mga7
+ Revision: 1125045
- new release

* Fri Nov 11 2016 luigiwalser <luigiwalser> 327-1.mga6
+ Revision: 1066593
- 327

* Wed Aug 10 2016 luigiwalser <luigiwalser> 325-1.mga6
+ Revision: 1045358
- 325

* Fri Apr 15 2016 shlomif <shlomif> 324-1.mga6
+ Revision: 1002714
- New version 324

* Mon Feb 22 2016 blino <blino> 322-2.mga6
+ Revision: 975932
- drop xvt alternatives post scripts, xvt has been a script since 2004

* Sat Jan 02 2016 luigiwalser <luigiwalser> 322-1.mga6
+ Revision: 918417
- 322

* Fri Sep 11 2015 ycantin <ycantin> 320-1.mga6
+ Revision: 878302
- new version 320

* Fri Aug 28 2015 ycantin <ycantin> 319-1.mga6
+ Revision: 870381
- new version 319
+ luigiwalser <luigiwalser>
- disallow some insecure window operations by default (like debian)

* Sat Jul 25 2015 tv <tv> 318-1.mga6
+ Revision: 857500
- new release

* Tue Mar 03 2015 luigiwalser <luigiwalser> 315-1.mga5
+ Revision: 817386
- 315

* Thu Nov 27 2014 alexl <alexl> 312-3.mga5
+ Revision: 799515
- added translations for desktop file, xterm did not use menu-messages

* Wed Oct 15 2014 umeabot <umeabot> 312-2.mga5
+ Revision: 740283
- Second Mageia 5 Mass Rebuild

* Thu Oct 09 2014 luigiwalser <luigiwalser> 312-1.mga5
+ Revision: 737668
- 312

* Tue Sep 16 2014 umeabot <umeabot> 310-2.mga5
+ Revision: 690792
- Mageia 5 Mass Rebuild

* Fri Aug 01 2014 luigiwalser <luigiwalser> 310-1.mga5
+ Revision: 658823
- 310

* Thu Jul 24 2014 luigiwalser <luigiwalser> 309-1.mga5
+ Revision: 656178
- 309

* Mon Jun 23 2014 luigiwalser <luigiwalser> 308-1.mga5
+ Revision: 639057
- 308

* Wed Jun 18 2014 luigiwalser <luigiwalser> 307-1.mga5
+ Revision: 637952
- 307

* Thu Jun 12 2014 luigiwalser <luigiwalser> 306-1.mga5
+ Revision: 635866
- 306

* Tue Jun 03 2014 luigiwalser <luigiwalser> 305-1.mga5
+ Revision: 632584
- 305

* Sun May 04 2014 luigiwalser <luigiwalser> 304-1.mga5
+ Revision: 619911
- 304

* Sat Mar 08 2014 luigiwalser <luigiwalser> 303-1.mga5
+ Revision: 601110
- 303

* Tue Mar 04 2014 luigiwalser <luigiwalser> 302-1.mga5
+ Revision: 599277
- 302

* Tue Feb 04 2014 dams <dams> 301-1.mga5
+ Revision: 580731
- new version 301

* Wed Dec 11 2013 luigiwalser <luigiwalser> 300-1.mga4
+ Revision: 556224
- 300

* Sat Oct 19 2013 umeabot <umeabot> 297-2.mga4
+ Revision: 534387
- Mageia 4 Mass Rebuild

* Wed Sep 11 2013 luigiwalser <luigiwalser> 297-1.mga4
+ Revision: 477593
- 297

* Fri Jul 12 2013 luigiwalser <luigiwalser> 296-1.mga4
+ Revision: 453226
- 296

* Sun Jul 07 2013 luigiwalser <luigiwalser> 295-1.mga4
+ Revision: 450858
- 295

* Sat Jul 06 2013 luigiwalser <luigiwalser> 294-1.mga4
+ Revision: 450785
- 294

* Thu May 30 2013 dams <dams> 293-1.mga4
+ Revision: 432927
- new version 293

* Thu May 23 2013 dams <dams> 292-1.mga4
+ Revision: 425047
- new version 292

* Fri May 10 2013 luigiwalser <luigiwalser> 291-2.mga3
+ Revision: 412881
- fix comment line in desktop file (mga#10050)

* Wed Feb 27 2013 luigiwalser <luigiwalser> 291-1.mga3
+ Revision: 400548
- 291

* Thu Feb 14 2013 luigiwalser <luigiwalser> 290-1.mga3
+ Revision: 398374
- 290

* Tue Feb 12 2013 luigiwalser <luigiwalser> 289-1.mga3
+ Revision: 397944
- 289

* Mon Jan 14 2013 dams <dams> 288-1.mga3
+ Revision: 387891
- new version 288

* Mon Jan 14 2013 umeabot <umeabot> 287-2.mga3
+ Revision: 387449
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 fwang <fwang> 287-1.mga3
+ Revision: 322553
- new version 287

* Mon Nov 05 2012 dams <dams> 286-1.mga3
+ Revision: 314476
- new version 286
- install icon to hicolor theme and use it in desktop file

* Sat Sep 29 2012 fwang <fwang> 282-1.mga3
+ Revision: 299998
- new version 282

* Tue Jul 03 2012 dams <dams> 281-1.mga3
+ Revision: 266958
- new version 281

* Mon Jun 25 2012 dams <dams> 279-1.mga3
+ Revision: 263616
- new version 279

* Sat Mar 03 2012 dams <dams> 278-1.mga2
+ Revision: 217081
- new version 278
- clean spec file

* Mon Oct 31 2011 fwang <fwang> 276-1.mga2
+ Revision: 160287
- new version 276

* Fri Sep 23 2011 boklm <boklm> 275-1.mga2
+ Revision: 147140
- version 275

* Tue Sep 06 2011 tv <tv> 274-1.mga2
+ Revision: 139752
- new release
- new release

* Wed Apr 27 2011 wally <wally> 269-3.mga1
+ Revision: 92057
- fix desktop file name (mga#954)
- drop buildroot definition

* Thu Apr 14 2011 pterjan <pterjan> 269-2.mga1
+ Revision: 84817
- Re-upload after upload bug

* Wed Apr 13 2011 tv <tv> 269-1.mga1
+ Revision: 84687
- new release

* Thu Jan 20 2011 pterjan <pterjan> 267-1.mga1
+ Revision: 26636
- Drop old stuff
- imported package xterm


* Fri Dec 03 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 267-1mdv2011.0
+ Revision: 606817
- New version: 267

* Sat Nov 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 266-1mdv2011.0
+ Revision: 594173
- update to new version 266

* Sun Oct 17 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 264-1mdv2011.0
+ Revision: 586325
- update to new version 264

* Mon Aug 30 2010 Funda Wang <fwang@mandriva.org> 262-1mdv2011.0
+ Revision: 574371
- update to new version 262

* Mon Jul 26 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 261-1mdv2011.0
+ Revision: 560861
- New version: 261

* Thu Apr 22 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 257-1mdv2010.1
+ Revision: 537958
- New version: 257

* Tue Mar 23 2010 Sandro Cazzaniga <kharec@mandriva.org> 256-1mdv2010.1
+ Revision: 526821
- update to 256

* Fri Jan 22 2010 Frederik Himpe <fhimpe@mandriva.org> 255-1mdv2010.1
+ Revision: 495049
- update to new version 255

* Thu Jan 07 2010 Frederik Himpe <fhimpe@mandriva.org> 254-1mdv2010.1
+ Revision: 487285
- update to new version 254

* Thu Dec 10 2009 Frederik Himpe <fhimpe@mandriva.org> 253-1mdv2010.1
+ Revision: 476086
- update to new version 253

* Sat Dec 05 2009 Funda Wang <fwang@mandriva.org> 251-1mdv2010.1
+ Revision: 473943
- new verison 2.5.1

* Mon Oct 26 2009 Paulo Andrade <pcpa@mandriva.com.br> 250-2mdv2010.0
+ Revision: 459412
- further improve limit-checks in select/paste (Mandriva #54531).

* Fri Oct 16 2009 Paulo Andrade <pcpa@mandriva.com.br> 250-1mdv2010.0
+ Revision: 457818
- Update to latest upstream release - xterm patch #250

* Tue Sep 29 2009 Paulo Andrade <pcpa@mandriva.com.br> 248-2mdv2010.0
+ Revision: 451095
- Update to latest upstream patch #248e.

* Sun Sep 13 2009 Frederik Himpe <fhimpe@mandriva.org> 248-1mdv2010.0
+ Revision: 438610
- update to new version 248

* Mon Aug 31 2009 Frederik Himpe <fhimpe@mandriva.org> 247-1mdv2010.0
+ Revision: 423034
- update to new version 247

* Mon Aug 17 2009 Frederik Himpe <fhimpe@mandriva.org> 246-1mdv2010.0
+ Revision: 417203
- update to new version 246

* Thu Aug 13 2009 Frederik Himpe <fhimpe@mandriva.org> 245-1mdv2010.0
+ Revision: 416102
- update to new version 245

* Mon Aug 10 2009 Frederik Himpe <fhimpe@mandriva.org> 244-1mdv2010.0
+ Revision: 414369
- update to new version 244

* Fri Feb 27 2009 Jérôme Soyer <saispo@mandriva.org> 242-1mdv2009.1
+ Revision: 345391
- New upstream release

* Mon Jan 19 2009 Jérôme Soyer <saispo@mandriva.org> 239-1mdv2009.1
+ Revision: 331201
- New upstream release

* Thu Jan 08 2009 Jérôme Soyer <saispo@mandriva.org> 238-1mdv2009.1
+ Revision: 327181
- New upstream release
  Fix CVE-2008-2383

* Thu Dec 18 2008 Funda Wang <fwang@mandriva.org> 237-1mdv2009.1
+ Revision: 315484
- new version 237

* Wed Jul 30 2008 Funda Wang <fwang@mandriva.org> 236-1mdv2009.0
+ Revision: 254585
- New version 236
- simplify BR
- use configure2_5x

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Apr 25 2008 Funda Wang <fwang@mandriva.org> 235-1mdv2009.0
+ Revision: 197352
- New version 235

* Mon Apr 14 2008 Thierry Vignaud <tv@mandriva.org> 234-1mdv2009.0
+ Revision: 192906
- new release

* Thu Jan 31 2008 Funda Wang <fwang@mandriva.org> 232-1mdv2008.1
+ Revision: 160760
- update to new version 232

* Wed Jan 09 2008 Jérôme Soyer <saispo@mandriva.org> 231-1mdv2008.1
+ Revision: 147242
- New release

* Sat Jan 05 2008 Jérôme Soyer <saispo@mandriva.org> 230-1mdv2008.1
+ Revision: 145857
- New release

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - kill file require on update-alternatives

* Thu Oct 11 2007 Thierry Vignaud <tv@mandriva.org> 229-3mdv2008.1
+ Revision: 97133
- do not package useless doc

* Mon Sep 17 2007 Thierry Vignaud <tv@mandriva.org> 229-2mdv2008.0
+ Revision: 89093
- add Utility category to menu entry (#33640)

* Tue Sep 04 2007 Funda Wang <fwang@mandriva.org> 229-1mdv2008.0
+ Revision: 78946
- New version 229

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Sun Jul 01 2007 Funda Wang <fwang@mandriva.org> 227-1mdv2008.0
+ Revision: 46277
- New version

* Tue Jun 19 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 226-1mdv2008.0
+ Revision: 41155
- Updated to version 226.
- Removed old menu and place icons in freedesktop hicolor-theme
  directories.

* Sun May 27 2007 Gustavo De Nardin <gustavodn@mandriva.com> 225-4mdv2008.0
+ Revision: 31732
- make xterm use libncurses instead of libtermcap, allowing -tn option to
  work for terminal types existing only in terminfo database (like xterm-256color)

* Thu May 17 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 225-3mdv2008.0
+ Revision: 27700
- Enable support for 256 colors
- It's 2007, no reason to support only 16 colors. :)
- Also added a script to test/show the colors as part of the
  package documentation (colortest.pl)

* Mon May 07 2007 Gustavo De Nardin <gustavodn@mandriva.com> 225-2mdv2008.0
+ Revision: 24866
- finegrained X11 build requires
- include ctlseqs.txt in package (xterm ESC control sequences reference)

* Mon May 07 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 225-1mdv2008.0
+ Revision: 24575
- Updated to version 225.
- Dropped old patches from alt linux, they aren't even used anymore by
  them (meta-mod patch also breaks build).


* Fri Nov 17 2006 Pablo Saratxaga <pablo@mandriva.com> 215-6mdv2007.0
+ Revision: 85242
- rebuild to use the new path for luit

  + Helio Chissini de Castro <helio@mandriva.com>
    - Recompile to match correct luit place

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix xdg menu under KDE Original menu

* Tue Aug 15 2006 Götz Waschk <waschk@mandriva.org> 215-3mdv2007.0
+ Revision: 56016
- add xdg menu file
- release
- xdg menu

  + Pixel <pixel@mandriva.com>
    - with build xterm to use luit, so require luit

  + Thierry Vignaud <tvignaud@mandriva.com>
    - new release

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild against new libXaw package

  + Helio Chissini de Castro <helio@mandriva.com>
    - Added svn warning message to avoid wrong uploads
    - import xterm-212-3mdv2007.0

* Tue May 23 2006 Helio Chissini de Castro 212-3mdk
- Move to /usr as a new base for Xorg

* Sat May 20 2006 Thierry Vignaud <tvignaud@mandriva.com> 212-2mdk
- fix buildrequires

* Sun Apr 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 212-1mdk
- new release
- drop patch 2 (merged upstream)

* Wed Mar 22 2006 Thierry Vignaud <tvignaud@mandriva.com> 211-1mdk
- new release

* Thu Jan 05 2006 Thierry Vignaud <tvignaud@mandriva.com> 208-1mdk
- new release

* Sat Nov 05 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 206-2mdk
- fix menu section & longtitle
- fix prereq
- don't bzip2 icons
- cosmetics

* Thu Nov 03 2005 Thierry Vignaud <tvignaud@mandriva.com> 206-1mdk
- new release

* Sat Jul 30 2005 Thierry Vignaud <tvignaud@mandriva.com> 203-1mdk
- new release

* Fri Feb 25 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 200-2mdk
- enabled luit support

* Fri Feb 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 200-1mdk
- new release

* Mon Jan 31 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 199-1mdk
- new release
- rediff patches 1 & 2

* Wed Jan 05 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 197-1mdk
- new release
- rediff patch 3

* Mon Nov 22 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 196-1mdk
- new release

* Sat Jul 31 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 194-1mdk
- new release

* Wed Jun 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 191-2mdk
- fix build with aa font managment (#10021)

* Thu Jun 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 191-1mdk
- new release

* Sat Apr 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 185-1mdk
- new release

* Mon Jan 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 184-1mdk
- new release

* Mon Dec 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 182-3mdk
- patch 3: fix meta key managment (#6651)
  [patch from Jeremie Lenfant-Engelmann <jlenfant@mandrakesoft.com>]

* Tue Dec 16 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 182-2mdk
- rebuild against latest libxfree86 (fix #6558)

* Wed Dec 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 182-1mdk
- new release

